2018-12-18 18:21 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001652FSSCPFS2NetDpublic2008-10-06 00:02
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001652: Clicking on player stats in the lobby doesn't work correctly
DescriptionIf you click on player stats in the lobby the "getting player stats" window comes up but never retrieves the stats or errors out. I tried several times and one time let it sit for about 5 minutes before canceling.
Additional Information3.6.10 3/14 XT build.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001766resolvedtaylor 3.6.10 Lobby - "Web Ranking" and "Pilot Info" buttons do not work 
+Relationships

-Notes

~0009160

taylor (administrator)

I added a timeout of 30 seconds to it. But, I still don't have a clue as to why the stats never show up. It's definitely appears to be on the server side but everything that I thought might be the problem turned out not to be.

I'll have to put this one on the back burner until this weekend, when I can get the time to debug the server. The timeout should suffice for now though.

~0009768

taylor (administrator)

I have this fixed in my local tree now. It does require both client and server side fixes however. The client side changes should hit SVN this weekend and the server side changes will happen as soon as I'm able to complete various other changes and get the new daemons installed (ie. "When it's done.").

~0009794

taylor (administrator)

Double check that it's working in this build: http://icculus.org/~taylor/fso/testing/multi_test.rar

~0009817

taylor (administrator)

Confirmed to work, but the values it gives may be a little out of whack. The changes are in SVN now but this will get a little more testing to be sure there isn't another problem somewhere before closing.

~0009821

taylor (administrator)

Wrong values confirmed to be an issue with how the website does it rather than a problem with the game code.

~0009822

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-04-03 00:34 FUBAR-BDHR New Issue
2008-04-03 00:37 taylor Status new => assigned
2008-04-03 00:37 taylor Assigned To => taylor
2008-04-03 03:43 taylor Note Added: 0009160
2008-07-17 12:39 taylor Category multiplayer => FS2NetD
2008-09-14 22:01 taylor Relationship added has duplicate 0001766
2008-10-02 12:28 taylor Note Added: 0009768
2008-10-04 08:38 taylor Note Added: 0009794
2008-10-05 09:35 taylor Note Added: 0009817
2008-10-06 00:02 taylor Note Added: 0009821
2008-10-06 00:02 taylor Status assigned => resolved
2008-10-06 00:02 taylor Fixed in Version => 3.6.10
2008-10-06 00:02 taylor Resolution open => fixed
2008-10-06 00:02 taylor Note Added: 0009822
+Issue History